﻿@model PagedList<DomainModels.Entities.Financial.UserRialPayment>


@{
    ViewBag.Title = "جستجوی وجوه دریافتی ریالی از کاربران";
}


@Html.Partial("~/Areas/Admin/Views/Partial/_ShowMessage.cshtml")



<div class="panel panel-green">
    <div class="panel-heading">جستجو بر اساس  کد شناسایی)</div>
    <div class="panel-body">
        @using (Html.BeginForm("Search", "UserRialPayment", FormMethod.Get))
        {
            <div class="row">
                <div class="col-md-5">
                    <input type="submit" value="جستجو" class="btn btn-green" />
                </div>
                <div class="col-md-5">@Html.TextBox("code", "", new { @class = "form-control" })</div>
                <div class="col-md-2">کد شناسایی:</div>
            </div>
        }
    </div>
</div>


<div class="row">
    <div class="col-lg-12">
        <table id="miyazaki" class="tbl-grid" style="width: 100%;">
            <thead>
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().RowGuid)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().TrackingNumber)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().Price)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().PayDate)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().UserRialAccountId)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().AdminRialAccountId)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Data.First().PaymentStatusId)
                    </th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model.Data)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.RowGuid)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.TrackingNumber)
                        </td>
                        <td>
                            @Html.ShowNumberWithCommaSeperator(item.Price)
                        </td>
                        <td>
                            @Html.ShowDateTime(item.PayDate, ShamsiDateFormatType.ToPersianWithTime)
                        </td>
                        <td>
                            شماره حساب: @item.UserRialAccount.AccountNumber
                            <br />
                            شماره کارت: @item.UserRialAccount.CardNumber
                            <br />
                            شبا: @item.UserRialAccount.ShabaNumber
                            <br />
                            بانک: @item.UserRialAccount.Bank.Name
                        </td>
                        <td>
                            شماره حساب: @item.AdminRialAccount.AccountNumber
                            <br />
                            شماره کارت: @item.AdminRialAccount.CardNumber
                            <br />
                            شبا: @item.AdminRialAccount.ShabaNumber
                            <br />
                            بانک: @item.AdminRialAccount.Bank.Name
                        </td>
                        <td>
                            @Html.ShowPaymentStatus(item.PaymentStatus)
                        </td>
                    </tr>
                }
            </tbody>
        </table>

        @Html.ShowEmptyLabel(Model.Data)
        @Html.ShowPagerDescription(Model)
        @Html.ShowPager(Model, Url.Action("Search", new { code = Request["code"] }), true)

    </div>
</div>
